commit:     e18654223049ca76e06fa0487e69b23705ce02de
Author:     Patrick McLean <patrick.mclean <AT> sony <DOT> com>
AuthorDate: Wed Apr 29 19:09:39 2020 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Wed Apr 29 19:11:59 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e1865422

dev-python/boto3-1.12.48: version bump, add py38

Copyright: Sony Interactive Entertainment Inc.
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 dev-python/boto3/Manifest             |  1 +
 dev-python/boto3/boto3-1.12.48.ebuild | 55 +++++++++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index c248d4e6f9c..40b6f828997 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -1,2 +1,3 @@
 DIST boto3-1.10.2.tar.gz 272071 BLAKE2B 
9c3b90ae751784946a84d0cf31ed0111526ed97b5be1fe5f256f725889f9819db632c6e6f217e3f01ebb0aa5594257a5bdaabd8dcc5f14ccb5bdd333b1c416c7
 SHA512 
37ea11f5ae9263aa5e97ce94f2834c987190ba2eac4a60bf9312bb643f1d204e48db7bef6ddc0d46ae124109ec6807589108b58f3024485de163fd8f83688b42
+DIST boto3-1.12.48.tar.gz 292124 BLAKE2B 
0baf8fb4cfa040ba05b296d15a523a5de32677684143145b12dd54182d4fedbffa5656d36ab854006c0cc6009a1bca351bb5ac2ea757cb70b446924bcae625a8
 SHA512 
3cf5533dd5d9aa51cf46ef81ba25bb7afbc73b1e745ea5ae47935b22da290c7d2101e377b3225f970168201dde0bf2ee967e24eed86548f9045eb72840afea6b
 DIST boto3-1.9.122.tar.gz 258061 BLAKE2B 
68903edd97e10693675e4c2fa77c2c54f2d3aab79307ee0a856f43aabe256f7782d027b0a23f433c593962c90f7364c26a87c27fe8770e67b5052e4ced73a9bc
 SHA512 
31b8d8c2369b9076d825196d400c8a8b5579c38f87c7f41634eedbdaf6c2be01072018312e90e25d81b850c51f7c22a13fa565cd4e8b7672c238bad61e6a0810

diff --git a/dev-python/boto3/boto3-1.12.48.ebuild 
b/dev-python/boto3/boto3-1.12.48.ebuild
new file mode 100644
index 00000000000..d996a7288df
--- /dev/null
+++ b/dev-python/boto3/boto3-1.12.48.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8} )
+DISTUTILS_USE_SETUPTOOLS=bdepend
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="https://github.com/boto/boto3";
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="test"
+
+if [[ "${PV}" == "9999" ]]; then
+       EGIT_REPO_URI="https://github.com/boto/boto3";
+       inherit git-r3
+else
+       SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+       >=dev-python/botocore-1.15.48[${PYTHON_USEDEP}]
+       >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+       >=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? ( ${RDEPEND}
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/nose[${PYTHON_USEDEP}]
+       )
+"
+
+RESTRICT="!test? ( test )"
+
+distutils_enable_sphinx docs \
+       'dev-python/guzzle_sphinx_theme'
+
+python_prepare_all() {
+       # don't lock versions to narrow ranges
+       sed -e '/botocore/ d' \
+               -e '/jmespath/ d' \
+               -e '/s3transfer/ d' \
+               -i setup.py || die
+
+       # prevent an infinite loop
+       rm tests/functional/docs/test_smoke.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       nosetests -v tests/unit/ tests/functional/ || die "test failed under 
${EPYTHON}"
+}

Reply via email to